/*
 * Copyright (C) 2016 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.android.tools.idea.gradle.dsl.model.android.splits;

import com.android.tools.idea.gradle.dsl.api.android.splits.DensityModel;
import com.android.tools.idea.gradle.dsl.api.ext.ResolvedPropertyModel;
import com.android.tools.idea.gradle.dsl.parser.android.splits.DensityDslElement;
import org.jetbrains.annotations.NonNls;
import org.jetbrains.annotations.NotNull;

public class DensityModelImpl extends BaseSplitOptionsModelImpl implements DensityModel {
  @NonNls public static final String AUTO = "mAuto";
  @NonNls public static final String COMPATIBLE_SCREENS = "mCompatibleScreens";

  public DensityModelImpl(@NotNull DensityDslElement dslElement) {
    super(dslElement);
  }

  @Override
  @NotNull
  public ResolvedPropertyModel auto() {
    return getModelForProperty(AUTO);
  }

  @Override
  @NotNull
  public ResolvedPropertyModel compatibleScreens() {
    return getModelForProperty(COMPATIBLE_SCREENS);
  }
}
